09/09/2013 05:50 PM - Lukas Zapletal

Status: Rejected
Priority: Low
Assignee: Lukas Zapletal
Category:

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description
The Foreman::Gettext::Debug uses slightly modified versions of D_* methods from fast_gettext 0.8+.

| would like to enable return blocks on these methods so we are able to refactor these into nice code again.

Related issues:
Related to Foreman - Feature #2942: Plugin i18n support Closed 08/16/2013

History

#1 - 09/09/2013 06:04 PM - Dominic Cleal
- Related to Feature #2942: Plugin i18n support added

#2 - 10/16/2013 03:46 PM - Greg Sutcliffe
- Target version deleted (1.4.0)

#3 - 11/12/2013 01:10 PM - Anonymous

- Target version set to 1.10.0

#4 - 11/26/2013 01:48 PM - Lukas Zapletal

- Target version deleted (1.10.0)

Okay the thing is - | plan to add block support for D_ methods upstream, then we can remove duplicated code in Foreman.
Please do not put this on Sprint until let's say 20, | will need to work upstream first.

#5 - 02/14/2014 10:51 AM - Lukas Zapletal

- Status changed from New to Rejected

| wonder if this is worth the effort, these are three methods on three lines, it's only used in gettext debug (mark_translated). Upstream, passing block
can cause issues because the multi domain version needs to call it twice - could cause side effects and comparsion could we wrong for some values
(e.g. new instance returned).

def D_ (key)
FastGettext.translation_repositories.each_key do |domain]
result = FastGettext::TranslationMultidomain.d_(domain, key) {nil}
return result unless result.nil?
end
key
end

In the current upstream code safe value (nil) is used. | am closing this one.
